diff --git a/pki/base/common/src/com/netscape/cms/servlet/admin/OCSPAdminServlet.java b/pki/base/common/src/com/netscape/cms/servlet/admin/OCSPAdminServlet.java
index 7101dc5207738d123bad66e36c4068b245cd6a72..47d66c4f0747d4e95f4547736b48b3b8ddac4763 100644
--- a/pki/base/common/src/com/netscape/cms/servlet/admin/OCSPAdminServlet.java
+++ b/pki/base/common/src/com/netscape/cms/servlet/admin/OCSPAdminServlet.java
@@ -533,25 +533,7 @@ public class OCSPAdminServlet extends AdminServlet {
 
             // rethrow the specific exception to be handled later
             throw eAudit2;
-            // } catch( ServletException eAudit3 ) {
-            //     // store a message in the signed audit log file
-            //     auditMessage = CMS.getLogMessage(
-            //                        LOGGING_SIGNED_AUDIT_CONFIG_OCSP_PROFILE,
-            //                        auditSubjectID,
-            //                        ILogger.FAILURE,
-            //                        auditParams( req ) );
-            //
-            //     audit( auditMessage );
-            //
-            //     // rethrow the specific exception to be handled later
-            //     throw eAudit3;
+            
         }
     }
-
-    private void log(int level, String msg) {
-        if (mLogger == null)
-            return;
-        mLogger.log(ILogger.EV_SYSTEM, null, ILogger.S_OTHER,
-            level, "CAAdminServlet: " + msg);
-    }
 }    
diff --git a/pki/base/common/src/com/netscape/cms/servlet/admin/ProfileAdminServlet.java b/pki/base/common/src/com/netscape/cms/servlet/admin/ProfileAdminServlet.java
index 4059b03b62672ad0e7bb9cc2bb03ac9165fb73cc..0da6a2d3a58a69963f1decb93a1e59e6408dd5a9 100644
--- a/pki/base/common/src/com/netscape/cms/servlet/admin/ProfileAdminServlet.java
+++ b/pki/base/common/src/com/netscape/cms/servlet/admin/ProfileAdminServlet.java
@@ -38,7 +38,6 @@ import com.netscape.certsrv.common.NameValuePairs;
 import com.netscape.certsrv.common.OpDef;
 import com.netscape.certsrv.common.ScopeDef;
 import com.netscape.certsrv.logging.ILogger;
-import com.netscape.certsrv.policy.IPolicyRule;
 import com.netscape.certsrv.profile.EProfileException;
 import com.netscape.certsrv.profile.IPolicyConstraint;
 import com.netscape.certsrv.profile.IPolicyDefault;
@@ -121,20 +120,6 @@ public class ProfileAdminServlet extends AdminServlet {
         return INFO;
     }
 
-    private void addDefaultParams(Object ext_info, NameValuePairs nvps) {
-
-        /* make sure policy rules have 'enable' and 'predicate' */
-
-        if (ext_info instanceof IPolicyRule) {
-            if (nvps.getPair(IPolicyRule.PROP_ENABLE) == null) {
-                nvps.add(IPolicyRule.PROP_ENABLE, "boolean;Enable this policy rule");
-            }
-            if (nvps.getPair(PROP_PREDICATE) == null) {
-                nvps.add(PROP_PREDICATE, "string;Rules describing when this policy should run.");
-            }
-        }
-    }
-
     /**
      * Serves HTTP admin request.
      */
diff --git a/pki/base/common/src/com/netscape/cms/servlet/admin/UsrGrpAdminServlet.java b/pki/base/common/src/com/netscape/cms/servlet/admin/UsrGrpAdminServlet.java
index b20797bfb0335b1a85353ea3c0a299b9ae216ee0..e9264aa1ddf27de2ee70af0f552c2e47cf0082ac 100644
--- a/pki/base/common/src/com/netscape/cms/servlet/admin/UsrGrpAdminServlet.java
+++ b/pki/base/common/src/com/netscape/cms/servlet/admin/UsrGrpAdminServlet.java
@@ -333,35 +333,6 @@ public class UsrGrpAdminServlet extends AdminServlet {
     }
 
     /**
-     * Retrieves configuration parameters of 
-     * authentication manager.
-     */
-    private synchronized void getConfig(HttpServletRequest req, 
-        HttpServletResponse resp) throws ServletException, 
-            IOException, EBaseException {
-        super.getConfig(mMgr.getConfigStore(), req, resp);
-    }
-
-    /**
-     * Sets configuration parameters of 
-     * User/Group manager.
-     */
-    private synchronized void setConfig(HttpServletRequest req, 
-        HttpServletResponse resp) throws ServletException, 
-            IOException, EBaseException {
-        super.setConfig(mMgr.getConfigStore(), req, resp);
-    }
-
-    /**
-     * Lists configuration parameters.
-     */
-    private synchronized void listConfig(HttpServletRequest req, 
-        HttpServletResponse resp) throws ServletException, 
-            IOException, EBaseException {
-        super.listConfig(mMgr.getConfigStore(), req, resp);
-    }
-
-    /**
      * Searches for users in LDAP directory.  List uids only
      *
      * Request/Response Syntax:
diff --git a/pki/base/common/src/com/netscape/cms/servlet/cert/CMCRevReqServlet.java b/pki/base/common/src/com/netscape/cms/servlet/cert/CMCRevReqServlet.java
index cd3326fb7990a728a4d4eda2a22038c44d9662c3..9e866d5f09ec0d5439b0e66d087f3473fd91e29c 100644
--- a/pki/base/common/src/com/netscape/cms/servlet/cert/CMCRevReqServlet.java
+++ b/pki/base/common/src/com/netscape/cms/servlet/cert/CMCRevReqServlet.java
@@ -21,7 +21,6 @@ package com.netscape.cms.servlet.cert;
 import java.io.IOException;
 import java.math.BigInteger;
 import java.security.cert.CertificateException;
-import java.security.cert.X509Certificate;
 import java.util.Date;
 import java.util.Enumeration;
 import java.util.Locale;
@@ -312,93 +311,6 @@ CMS.debug("**** mFormPath = "+mFormPath);
     }
 
     /**
-     * get cert to revoke from agent.
-     */
-    private BigInteger getCertFromAgent(
-        IArgBlock httpParams, X509Certificate[] certContainer)
-        throws EBaseException {
-        BigInteger serialno = null;
-        X509Certificate cert = null;
-
-        // get serial no
-        serialno = httpParams.getValueAsBigInteger(SERIAL_NO, null);
-        if (serialno == null) {
-            log(ILogger.LL_FAILURE, 
-                CMS.getLogMessage("CMSGW_MISSING_SERIALNO_FOR_REVOKE"));
-            throw new ECMSGWException(
-              CMS.getUserMessage("CMS_GW_MISSING_SERIALNO_FOR_REVOKE"));
-        }
-
-        // get cert from db if we're cert authority.
-        if (mAuthority instanceof ICertificateAuthority) {
-            cert = getX509Certificate(serialno);
-            if (cert == null) {
-                log(ILogger.LL_FAILURE, 
-                    CMS.getLogMessage("CMSGW_INVALID_CERT_FOR_REVOCATION"));
-                throw new ECMSGWException(
-                  CMS.getUserMessage("CMS_GW_INVALID_CERT_FOR_REVOCATION"));
-            }
-        }
-        certContainer[0] = cert;
-        return serialno;
-    }
-
-    /**
-     * Revoke the specified certificate
-     */
-    private BigInteger getCertFromAuthMgr(
-        AuthToken authToken, X509Certificate[] certContainer) 
-        throws EBaseException {
-        X509CertImpl cert =
-            authToken.getInCert(AuthToken.TOKEN_CERT);
-
-        if (cert == null) {
-            log(ILogger.LL_FAILURE, 
-                CMS.getLogMessage("CMSGW_MISSING_CERTS_REVOKE_FROM_AUTHMGR"));
-            throw new ECMSGWException(
-              CMS.getUserMessage("CMS_GW_MISSING_CERTS_REVOKE_FROM_AUTHMGR"));
-        }
-        if (mAuthority instanceof ICertificateAuthority && 
-            !isCertFromCA(cert)) {
-            log(ILogger.LL_FAILURE, CMS.getLogMessage("CMSGW_INVALID_CERT_FOR_REVOCATION"));
-            throw new ECMSGWException(
-                  CMS.getUserMessage("CMS_GW_INVALID_CERT_FOR_REVOCATION"));
-        }
-        certContainer[0] = cert;
-        BigInteger serialno = ((X509Certificate) cert).getSerialNumber();
-
-        return serialno;
-    }
-
-    /**
-     * get cert to revoke from ssl 
-     */
-    private BigInteger getCertFromSSL(
-        HttpServletRequest req, X509CertImpl[] certContainer) 
-        throws EBaseException {
-        X509Certificate cert = getSSLClientCertificate(req);
-
-        if (cert == null) {
-            log(ILogger.LL_FAILURE, 
-                CMS.getLogMessage("CMSGW_MISSING_CERTS_REVOKE_FROM_SSL"));
-            throw new ECMSGWException(
-              CMS.getUserMessage("CMS_GW_MISSING_CERTS_REVOKE_FROM_SSL"));
-        }
-        if (mAuthority instanceof ICertificateAuthority && 
-            !isCertFromCA(cert)) {
-            log(ILogger.LL_FAILURE, 
-                CMS.getLogMessage("CMSGW_INVALID_CERT_FOR_REVOCATION", ""));
-            throw new ECMSGWException(
-                  CMS.getUserMessage("CMS_GW_INVALID_CERT_FOR_REVOCATION"));
-        }
-        BigInteger serialno = ((X509Certificate) cert).getSerialNumber();
-
-        certContainer[0] = (X509CertImpl) cert;
-
-        return serialno;
-    }
-
-    /**
      * Process cert status change request using the Certificate Management
      * protocol using CMS (CMC)
      * <P>
diff --git a/pki/base/common/src/com/netscape/cms/servlet/cert/CloneRedirect.java b/pki/base/common/src/com/netscape/cms/servlet/cert/CloneRedirect.java
index 2f58e85cd8a445300202e62776f4c9d3154f4c82..bd405f21e849497bdcf7f65793d328f48c39ad41 100644
--- a/pki/base/common/src/com/netscape/cms/servlet/cert/CloneRedirect.java
+++ b/pki/base/common/src/com/netscape/cms/servlet/cert/CloneRedirect.java
@@ -138,19 +138,4 @@ public class CloneRedirect extends CMSServlet {
             throw new ECMSGWException(CMS.getLogMessage("CMSGW_ERROR_DISPLAY_TEMPLATE"));
         }
     }
-
-    /**
-     * Display information about redirecting to the master's URL info
-     */
-    private void process(CMSTemplateParams argSet, IArgBlock header,
-        HttpServletRequest req,
-        HttpServletResponse resp,
-        String signatureAlgorithm,
-        Locale locale)
-        throws EBaseException {
-
-        CMS.debug("CloneRedirect: " + CMS.getLogMessage("ADMIN_SRVLT_ADD_MASTER_URL", mNewUrl)); 
-        header.addStringValue("masterURL", mNewUrl);
-        return;
-    }
 }
diff --git a/pki/base/common/src/com/netscape/cms/servlet/cert/EnrollServlet.java b/pki/base/common/src/com/netscape/cms/servlet/cert/EnrollServlet.java
index 2d1c28f4d424e6a6e8867b4937a953377237346c..afab8acdee276ee16372935b01f7da733c1d44d6 100644
--- a/pki/base/common/src/com/netscape/cms/servlet/cert/EnrollServlet.java
+++ b/pki/base/common/src/com/netscape/cms/servlet/cert/EnrollServlet.java
@@ -37,9 +37,7 @@ import javax.servlet.http.HttpServletResponse;
 import netscape.security.pkcs.PKCS10;
 import netscape.security.x509.AlgorithmId;
 import netscape.security.x509.CertificateAlgorithmId;
-import netscape.security.x509.CertificateExtensions;
 import netscape.security.x509.CertificateX509Key;
-import netscape.security.x509.KeyUsageExtension;
 import netscape.security.x509.X509CertImpl;
 import netscape.security.x509.X509CertInfo;
 import netscape.security.x509.X509Key;
@@ -1714,71 +1712,6 @@ public class EnrollServlet extends CMSServlet {
         mIsTestBed = config.getBoolean("isTestBed", true);
     }
 
-    private void do_testbed_hack(
-        int nummsgs, X509CertInfo[] certinfo, IArgBlock httpParams) 
-        throws EBaseException {
-        if (!mIsTestBed) 
-            return;
-
-            // get around bug in cartman - bits are off by one byte.
-        for (int i = 0; i < certinfo.length; i++) {
-            try {
-                X509CertInfo cert = certinfo[i];
-                CertificateExtensions exts = (CertificateExtensions)
-                    cert.get(CertificateExtensions.NAME);
-
-                if (exts == null) {
-                    // should not happen.
-                    continue;
-                }
-                KeyUsageExtension ext = (KeyUsageExtension)
-                    exts.get(KeyUsageExtension.NAME);
-
-                if (ext == null) 
-                    // should not happen 
-                    continue;
-                byte[] value = ext.getExtensionValue();
-
-                if (value[0] == 0x03 && value[1] == 0x02 && value[2] == 0x07) {
-                    byte[] newvalue = new byte[value.length + 1];
-
-                    newvalue[0] = 0x03;
-                    newvalue[1] = 0x03;
-                    newvalue[2] = 0x07;
-                    newvalue[3] = value[3];
-                    // force encryption certs to have digitial signature 
-                    // set too so smime can find the cert for encryption.
-                    if (value[3] == 0x20) {
-
-                        /*
-                         newvalue[3] = 0x3f;
-                         newvalue[4] = (byte)0x80;
-                         */
-                        if (httpParams.getValueAsBoolean(
-                                "dual-use-hack", true)) {
-                            newvalue[3] = (byte) 0xE0; // same as rsa-dual-use.
-                        }
-                    }
-                    newvalue[4] = 0;
-                    KeyUsageExtension newext = 
-                        new KeyUsageExtension(Boolean.valueOf(true), 
-                            (Object) newvalue);
-
-                    exts.delete(KeyUsageExtension.NAME);
-                    exts.set(KeyUsageExtension.NAME, newext);
-
-                }
-            } catch (IOException e) {
-                // should never happen 
-                continue;
-            } catch (CertificateException e) {
-                // should never happen 
-                continue;
-            }
-        }
-
-    }
-
     /**
      * Signed Audit Log Info Certificate Value
      *
diff --git a/pki/base/common/src/com/netscape/cms/servlet/cert/GetCAChain.java b/pki/base/common/src/com/netscape/cms/servlet/cert/GetCAChain.java
index 81e96e3a52af40f36e98743fee617ef9eb74de4f..545e6b5bab2d2429742e20e395895d51f3defa6f 100644
--- a/pki/base/common/src/com/netscape/cms/servlet/cert/GetCAChain.java
+++ b/pki/base/common/src/com/netscape/cms/servlet/cert/GetCAChain.java
@@ -386,15 +386,6 @@ import com.netscape.cms.servlet.common.ECMSGWException;
     }
 
     /**
-     * gets base 64 encoded cert chain
-     */
-    private String getChainBase64(byte[] certBytes) {
-        String certBase64 = CMS.BtoA(certBytes);
-
-        return certBase64;
-    }
-
-    /**
      * Retrieves locale based on the request.
      */
     protected Locale getLocale(HttpServletRequest req) {
diff --git a/pki/base/common/src/com/netscape/cms/servlet/cert/ListCerts.java b/pki/base/common/src/com/netscape/cms/servlet/cert/ListCerts.java
index edbe81b7d253935a69d8d64db7a388db0008912f..cca773541af62dcd976d6929f0ede8374304fc6e 100644
--- a/pki/base/common/src/com/netscape/cms/servlet/cert/ListCerts.java
+++ b/pki/base/common/src/com/netscape/cms/servlet/cert/ListCerts.java
@@ -21,7 +21,6 @@ package com.netscape.cms.servlet.cert;
 import java.io.IOException;
 import java.math.BigInteger;
 import java.security.PublicKey;
-import java.util.Date;
 import java.util.Enumeration;
 import java.util.Locale;
 import java.util.StringTokenizer;
@@ -574,87 +573,6 @@ public class ListCerts extends CMSServlet {
     }
 
     /**
-     * Process the key search.
-     */
-    private void process(CMSTemplateParams argSet, IArgBlock header, 
-        int maxCount, int sentinel,
-        String filter, HttpServletRequest req,
-        HttpServletResponse resp,
-        String revokeAll, Locale locale)
-        throws EBaseException {
-        try {
-            if (filter.indexOf(CURRENT_TIME, 0) > -1) {
-                filter = insertCurrentTime(filter);
-            }
-            if (revokeAll != null && revokeAll.indexOf(CURRENT_TIME, 0) > -1) {
-                revokeAll = insertCurrentTime(revokeAll);
-            }
-
-            // xxx the filter includes serial number range???
-            ICertRecordList list = 
-                (ICertRecordList) mCertDB.findCertRecordsInList(filter, null, maxCount);
-            // sentinel is the index on the list now, not serial number
-            Enumeration e = 
-                list.getCertRecords(sentinel, sentinel + maxCount - 1);
-
-            int count = 0;
-
-            while (e != null && e.hasMoreElements()) {
-                ICertRecord rec = (ICertRecord) e.nextElement();
-
-                count++;
-                IArgBlock rarg = com.netscape.certsrv.apps.CMS.createArgBlock();
-
-                fillRecordIntoArg(rec, rarg);
-                argSet.addRepeatRecord(rarg);
-            }
-
-            header.addStringValue("op", req.getParameter("op"));
-            if (revokeAll != null)
-                header.addStringValue("revokeAll", revokeAll);
-            if (mAuthName != null)
-                header.addStringValue("issuerName", mAuthName.toString());
-            header.addStringValue("serviceURL", req.getRequestURI());
-            header.addStringValue("templateName", "queryCert");
-            header.addStringValue("queryFilter", filter);
-            header.addIntegerValue("maxCount", maxCount);
-            header.addIntegerValue("totalRecordCount", list.getSize());
-            if ((sentinel + count) < list.getSize())
-                header.addIntegerValue("querySentinelDown", sentinel + count);
-            else
-                header.addStringValue("querySentinelDown", null);
-        } catch (EBaseException e) {
-            log(ILogger.LL_FAILURE, com.netscape.certsrv.apps.CMS.getLogMessage("CMSGW_ERROR_LISTCERTS", e.toString()));
-            throw e;
-        }
-        return;
-    }
-
-    private String insertCurrentTime(String filter) {
-        Date now = null;
-        StringBuffer newFilter = new StringBuffer();
-        int k = 0;
-        int i = filter.indexOf(CURRENT_TIME, k);
-
-        while (i > -1) {
-            if (now == null) now = new Date();
-            if (newFilter.length() == 0) {
-                newFilter.append(filter.substring(k, i));
-                newFilter.append(now.getTime());
-            } else {
-                newFilter.append(filter.substring(k, i));
-                newFilter.append(now.getTime());
-            }
-            k = i + CURRENT_TIME.length();
-            i = filter.indexOf(CURRENT_TIME, k);
-        }
-        if (k > 0) {
-            newFilter.append(filter.substring(k, filter.length()));
-        }
-        return newFilter.toString();
-    }
-
-    /**
      * Fills cert record into argument block.
      */
     private void fillRecordIntoArg(ICertRecord rec, IArgBlock rarg)
diff --git a/pki/base/common/src/com/netscape/cms/servlet/cert/scep/CRSEnrollment.java b/pki/base/common/src/com/netscape/cms/servlet/cert/scep/CRSEnrollment.java
index e2a40264423de0a3c103d1a07279eca8edaf96b7..cb5b96560e19b5595fb6db12d0740791f1daa3de 100644
--- a/pki/base/common/src/com/netscape/cms/servlet/cert/scep/CRSEnrollment.java
+++ b/pki/base/common/src/com/netscape/cms/servlet/cert/scep/CRSEnrollment.java
@@ -19,7 +19,6 @@ package com.netscape.cms.servlet.cert.scep;
 
 import java.io.ByteArrayInputStream;
 import java.io.FileOutputStream;
-import java.io.IOException;
 import java.security.MessageDigest;
 import java.security.NoSuchAlgorithmException;
 import java.security.PublicKey;
@@ -1849,19 +1848,7 @@ throws EBaseException {
 
 
 
-  /**
-   *  This needs to be re-written to log the messages to the system log, since there
-   *  will be no visual webpage feedback for the user. (he's using a router)
-   */
-
-  private void writeError(String errMsg, HttpServletRequest httpReq,
-                          HttpServletResponse httpResp)
-    throws IOException
-    {
-    }
-
-
-   protected String hashPassword(String pwd) {
+  protected String hashPassword(String pwd) {
         String salt = "lala123";
         byte[] pwdDigest = mSHADigest.digest((salt+pwd).getBytes());
         String b64E = com.netscape.osutil.OSUtil.BtoA(pwdDigest);
diff --git a/pki/base/common/src/com/netscape/cms/servlet/common/CMSTemplate.java b/pki/base/common/src/com/netscape/cms/servlet/common/CMSTemplate.java
index 4528ea7ed82fbd05359f2b89d4df59915d3b15ff..fd89ceaf1e0a55f49fd2b11511fe4536172b4f7e 100644
--- a/pki/base/common/src/com/netscape/cms/servlet/common/CMSTemplate.java
+++ b/pki/base/common/src/com/netscape/cms/servlet/common/CMSTemplate.java
@@ -574,21 +574,11 @@ public class CMSTemplate extends CMSFile {
             flush();
             return;
         }
-    
-        public void println(String s) throws IOException {
-            print(s);
-            write('\n');
-            flush();
-            return;
-        }
     }
 
 
     private class templateLine {
         private StringBuffer s = new StringBuffer();
-        void templateLine() {
-        }
-
         void println(String p) {
             s.append('\n');
             s.append(p);
diff --git a/pki/base/common/src/com/netscape/cms/servlet/csadmin/DatabasePanel.java b/pki/base/common/src/com/netscape/cms/servlet/csadmin/DatabasePanel.java
index 17a4bae660bb468aa0b9d1457c5c27674897093c..e18d86cf29c097b40214eda0c7be103aa8835db7 100644
--- a/pki/base/common/src/com/netscape/cms/servlet/csadmin/DatabasePanel.java
+++ b/pki/base/common/src/com/netscape/cms/servlet/csadmin/DatabasePanel.java
@@ -1210,23 +1210,6 @@ public class DatabasePanel extends WizardPanelBase {
         context.put("panel", "admin/console/config/databasepanel.vm");
     }
 
-    private boolean isAgreementExist(String replicadn, LDAPConnection conn,
-      String name) {
-        String dn = "cn="+name+","+replicadn;
-        String filter = "(cn="+name+")";
-        String[] attrs = {"cn"};
-        try {
-            LDAPSearchResults results = conn.search(dn, LDAPv3.SCOPE_SUB,
-              filter, attrs, false);
-            while (results.hasMoreElements())
-                return true; 
-        } catch (LDAPException e) {
-            return false;
-        }
-
-        return false;
-    }
-
     private void createReplicationManager(LDAPConnection conn, String bindUser, String pwd)
       throws LDAPException {
         LDAPAttributeSet attrs = null;
diff --git a/pki/base/common/src/com/netscape/cms/servlet/csadmin/GetSubsystemCert.java b/pki/base/common/src/com/netscape/cms/servlet/csadmin/GetSubsystemCert.java
index 05882ad5912acb634834bb9ed1d4ea04be86fa96..bde35688614d825938ce18cb5ff8382147f5b7ae 100644
--- a/pki/base/common/src/com/netscape/cms/servlet/csadmin/GetSubsystemCert.java
+++ b/pki/base/common/src/com/netscape/cms/servlet/csadmin/GetSubsystemCert.java
@@ -126,22 +126,4 @@ public class GetSubsystemCert extends CMSServlet {
         }
         return locale;
     }
-
-    private String normalizeCertStr(String s) {
-        StringBuffer val = new StringBuffer();
-
-        for (int i = 0; i < s.length(); i++) {
-            if (s.charAt(i) == '\n') {
-                continue;
-            } else if (s.charAt(i) == '\r') {
-                continue;
-            } else if (s.charAt(i) == '"') {
-                continue;
-            } else if (s.charAt(i) == ' ') {
-                continue;
-            }
-            val.append(s.charAt(i));
-        }
-        return val.toString();
-    }
 }
diff --git a/pki/base/common/src/com/netscape/cms/servlet/request/QueryReq.java b/pki/base/common/src/com/netscape/cms/servlet/request/QueryReq.java
index 7a3d15de7e3e682491f636bf8f46b97eb3e89ba5..89f69581e14cd13d7b8f5089ae671fb6ba3bd8df 100644
--- a/pki/base/common/src/com/netscape/cms/servlet/request/QueryReq.java
+++ b/pki/base/common/src/com/netscape/cms/servlet/request/QueryReq.java
@@ -39,7 +39,6 @@ import com.netscape.certsrv.request.IRequest;
 import com.netscape.certsrv.request.IRequestQueue;
 import com.netscape.certsrv.request.IRequestVirtualList;
 import com.netscape.certsrv.request.RequestId;
-import com.netscape.certsrv.request.RequestStatus;
 import com.netscape.cms.servlet.base.CMSServlet;
 import com.netscape.cms.servlet.common.CMSRequest;
 import com.netscape.cms.servlet.common.CMSTemplate;
@@ -355,14 +354,6 @@ public class QueryReq extends CMSServlet {
     	return;
     }
 
-    private static String makeRequestStatusEq(RequestStatus s) {
-        return "(" + "requestState" + "=" + s + ")";
-    }
-
-    private static String makeRequestIdCmp(String op, int bound) {
-        return "(requestId" + op + bound + ")";
-    }
-
     /**
      * Perform search based on direction button pressed
      * @param filter ldap filter indicating which VLV to search through. This can be
diff --git a/pki/base/common/src/com/netscape/cms/servlet/tks/TokenServlet.java b/pki/base/common/src/com/netscape/cms/servlet/tks/TokenServlet.java
index 98d224af0bc7ba931abf3ff22911eb948853ad06..f7b8e8f5ca691707477aae33de4afe993a3a9da0 100644
--- a/pki/base/common/src/com/netscape/cms/servlet/tks/TokenServlet.java
+++ b/pki/base/common/src/com/netscape/cms/servlet/tks/TokenServlet.java
@@ -23,7 +23,6 @@ import java.io.OutputStream;
 import java.security.PublicKey;
 import java.security.SecureRandom;
 import java.util.StringTokenizer;
-import java.util.Vector;
 
 import javax.servlet.ServletConfig;
 import javax.servlet.ServletException;
@@ -46,7 +45,6 @@ import com.netscape.certsrv.base.IPrettyPrintFormat;
 import com.netscape.certsrv.base.SessionContext;
 import com.netscape.certsrv.common.Constants;
 import com.netscape.certsrv.logging.ILogger;
-import com.netscape.certsrv.security.Credential;
 import com.netscape.certsrv.tks.ITKSAuthority;
 import com.netscape.cms.servlet.base.CMSServlet;
 import com.netscape.cms.servlet.common.CMSRequest;
@@ -1372,27 +1370,4 @@ public class TokenServlet extends CMSServlet {
 
         super.service(req, resp);
     }
-
-    /**
-     * Parses uid0=pwd0,uid1=pwd1,... into AgentCredential.
-     *
-     * @param s credential string
-     * @return a list of credentials
-     */
-    private Credential[] parseCredentialStr(String s) {
-        StringTokenizer st = new StringTokenizer(s, ",");
-        Vector v = new Vector();
-
-        while (st.hasMoreTokens()) {
-            String a = st.nextToken();
-            StringTokenizer st0 = new StringTokenizer(a, "=");
-
-            v.addElement(new Credential(st0.nextToken(),
-                    st0.nextToken()));
-        }
-        Credential ac[] = new Credential[v.size()];
-
-        v.copyInto(ac);
-        return ac;
-    }
 }
diff --git a/pki/base/common/src/com/netscape/cmscore/apps/CMSEngine.java b/pki/base/common/src/com/netscape/cmscore/apps/CMSEngine.java
index 92331a20d90aa606377620777f580d5ffd37a458..1ba71f65ed7db65f10f0a12cc6ac1294a1981139 100644
--- a/pki/base/common/src/com/netscape/cmscore/apps/CMSEngine.java
+++ b/pki/base/common/src/com/netscape/cmscore/apps/CMSEngine.java
@@ -1120,22 +1120,6 @@ public class CMSEngine implements ICMSEngine {
         mServerCertNickname = newName;
     }
 
-    private String lineParsing(String input, String newName) {
-        //<SSLPARAMS servercertnickname="Server-Cert cert-firefly"
-        int index = input.indexOf("servercertnickname");
-
-        if (index >= 0) {
-            String str = input.substring(index + 20);
-            int index2 = str.indexOf("\"");
-            String newLine = input.substring(0, index + 20)
-                + newName + str.substring(index2);
-
-            return newLine;
-        } else {
-            return input;
-        }
-    }
-
     public String getFingerPrint(Certificate cert)
         throws CertificateEncodingException, NoSuchAlgorithmException {
         return CertUtils.getFingerPrint(cert);
diff --git a/pki/base/common/src/com/netscape/cmscore/authentication/ChallengePhraseAuthentication.java b/pki/base/common/src/com/netscape/cmscore/authentication/ChallengePhraseAuthentication.java
index bf698ddadf02474abe336fe9df92ce55c52aa429..38901f3bede13196307548332a58d68fd8a059fb 100644
--- a/pki/base/common/src/com/netscape/cmscore/authentication/ChallengePhraseAuthentication.java
+++ b/pki/base/common/src/com/netscape/cmscore/authentication/ChallengePhraseAuthentication.java
@@ -295,16 +295,6 @@ public class ChallengePhraseAuthentication implements IAuthManager {
         return authToken;
     }
 
-    private String getDecimalStr(String str) {
-        String newStr = str;
-
-        if (str.startsWith("0x") || str.startsWith("0X")) {
-            newStr = "" + Integer.parseInt(str.trim().substring(2), 16);
-        }
-  
-        return newStr;
-    }
-
     private boolean compareChallengePassword(CertRecord record, String pwd) 
         throws EBaseException {
         MetaInfo metaInfo = (MetaInfo) record.get(CertRecord.ATTR_META_INFO);
